
proc WSection {seciD matiD d bf tf tw nfdw nftw nfbf nftf} {
  
set yI1 [expr $d/2.-$tf]
set zI1 [expr $bf/-2.]

set yJ1 [expr $d/2.]
set zJ1 [expr $bf/2.]

set yI2 [expr $d/-2.]
set zI2 [expr $bf/-2.]

set yJ2 [expr $d/-2.+$tf]
set zJ2 [expr $bf/2.]

set yI3 [expr $d/-2.+$tf]
set zI3 [expr $tw/-2.]

set yJ3 [expr $d/2.-$tf]
set zJ3 [expr $tw/2.]

section Fiber $seciD  {
# Top flange	
patch rect $matiD $nftf $nfbf $yI1 $zI1 $yJ1 $zJ1

#Bottom flange
patch rect $matiD $nftf $nfbf $yI2 $zI2 $yJ2 $zJ2

#Web
patch rect $matiD $nfdw $nftw $yI3 $zI3 $yJ3 $zJ3

}

}

puts "9)WSection-Proc OK"